Package org.apache.lucene.store

## Class FlushInfo

- java.lang.Object
- - org.apache.lucene.store.FlushInfo

-     public class FlushInfo
      extends Object

  A FlushInfo provides information required for a FLUSH context. It is used as part of an `IOContext` in case of FLUSH context.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `estimatedSegmentSize` |
    `int` | `numDocs` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlushInfo​(int numDocs, long estimatedSegmentSize)` | Creates a new `FlushInfo` instance from the values required for a FLUSH `IOContext` context.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### numDocs

          public final int numDocs

    - #### estimatedSegmentSize

          public final long estimatedSegmentSize

  - ### Constructor Detail

    - #### FlushInfo

          public FlushInfo​(int numDocs,
                           long estimatedSegmentSize)

      Creates a new `FlushInfo` instance from the values required for a FLUSH `IOContext` context.

      These values are only estimates and are not the actual values.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`